<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: cert_st.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">cert_st.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="pam-pkcs11-ossl-compat_8h_source.html">../common/pam-pkcs11-ossl-compat.h</a>&quot;</code><br />
<code>#include &lt;openssl/x509.h&gt;</code><br />
</div>
<p><a href="cert__st_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aec50eed6742e9619332b909cabbde345"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cert__st_8h.html#aec50eed6742e9619332b909cabbde345">ALGORITHM_NULL</a>&#160;&#160;&#160;NULL</td></tr>
<tr class="separator:aec50eed6742e9619332b909cabbde345"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a33f5d1eef85a7532f3e15c5d81c54ee3"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="structcert__policy__st.html">cert_policy_st</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cert__st_8h.html#a33f5d1eef85a7532f3e15c5d81c54ee3">cert_policy</a></td></tr>
<tr class="separator:a33f5d1eef85a7532f3e15c5d81c54ee3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accc349514b4f751a105b1602d828f630"><td class="memItemLeft" align="right" valign="top">typedef const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cert__st_8h.html#accc349514b4f751a105b1602d828f630">ALGORITHM_TYPE</a></td></tr>
<tr class="separator:accc349514b4f751a105b1602d828f630"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aec50eed6742e9619332b909cabbde345"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec50eed6742e9619332b909cabbde345">&#9670;&nbsp;</a></span>ALGORITHM_NULL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ALGORITHM_NULL&#160;&#160;&#160;NULL</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="cert__st_8h_source.html#l00039">39</a> of file <a class="el" href="cert__st_8h_source.html">cert_st.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="accc349514b4f751a105b1602d828f630"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accc349514b4f751a105b1602d828f630">&#9670;&nbsp;</a></span>ALGORITHM_TYPE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef const char* <a class="el" href="cert__st_8h.html#accc349514b4f751a105b1602d828f630">ALGORITHM_TYPE</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="cert__st_8h_source.html#l00038">38</a> of file <a class="el" href="cert__st_8h_source.html">cert_st.h</a>.</p>

</div>
</div>
<a id="a33f5d1eef85a7532f3e15c5d81c54ee3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33f5d1eef85a7532f3e15c5d81c54ee3">&#9670;&nbsp;</a></span>cert_policy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="structcert__policy__st.html">cert_policy_st</a> <a class="el" href="cert__st_8h.html#a33f5d1eef85a7532f3e15c5d81c54ee3">cert_policy</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="cert__st_8h_source.html#l00026">26</a> of file <a class="el" href="cert__st_8h_source.html">cert_st.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
